tt_message_gid(library call)

NAME
tt_message_gid — retrieve the group identifier attribute from a message

SYNOPSIS

#include &<Tt/tt_c.h>
gid_t tt_message_gid(
Tt_message m);

DESCRIPTION

The tt_message_gid function retrieves the group identifier attribute from the specified message.

The ToolTalk service automatically sets the group identifier of a message with the group identifier of the process that created the message.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_gid function returns the group identifier of the message. If the group nobody is returned, the message handle is not valid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_uid(3).